Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SensorDataBuffer Class Reference

A buffer for sensor data sets, containing all frames received at the same time. More...

`#include <SensorDataBuffer.h>`

Collaboration diagram for SensorDataBuffer:

[legend]
List of all members.

## Public Types
enum | { maxNumOfFrames = 16 }
| Maximum number of frames in the buffer. More...
## Public Member Functions
| SensorDataBuffer ()
| Constructor.
const SensorData & | lastFrame () const
| Returns pointer to the most recent SensorData.
## Public Attributes
int | numOfFrames
| Number of frames in the buffer.
SensorData | frame [maxNumOfFrames]
| The joint data frames.

## Detailed Description

A buffer for sensor data sets, containing all frames received at the same time.

Author:
  Max Risler

Definition at line 20 of file SensorDataBuffer.h.

## Member Enumeration Documentation

anonymous enum

  | Maximum number of frames in the buffer. Enumeration values:
  maxNumOfFrames |
Definition at line 25 of file SensorDataBuffer.h.

## Constructor & Destructor Documentation

SensorDataBuffer::SensorDataBuffer | ( |  | ) |

| Constructor. Definition at line 11 of file SensorDataBuffer.cpp.

## Member Function Documentation

const SensorData& SensorDataBuffer::lastFrame | ( |  | ) | const`[inline]`

| Returns pointer to the most recent SensorData. Definition at line 37 of file SensorDataBuffer.h. References numOfFrames. Referenced by GT2005SensorDataProcessor::calculateBodyPostureFromAccelerationSensors(), GT2005SensorDataProcessor::calculateBodyPostureFromLegSensors(), GT2005SensorDataProcessor::detectMouthState(), GT2005SensorDataProcessor::execute(), GT2005MotionControl::execute(), DebugMotionControl::execute(), GT2005HeadControl::execute(), GT2005GetupEngine::executeParameterized(), RobotStateSymbols::getBallUnderHead(), GT2005HeadControl::getSensorHeadAngles(), GT2005HeadControl::GT2005HeadControl(), GT2005HeadControl::headPanIsLeft(), GT2005HeadControl::headPositionDistanceToActualPosition(), GT2005HeadPathPlanner::headPositionReached(), and GT2005BehaviorControl::postExecute().

## Member Data Documentation

int SensorDataBuffer::numOfFrames

| Number of frames in the buffer. Definition at line 31 of file SensorDataBuffer.h. Referenced by GT2005SensorDataProcessor::execute(), GT2005CollisionDetector::execute(), GT2005GetupEngine::executeParameterized(), lastFrame(), operator<<(), operator>>(), and MotionStabilizer::stabilize().

SensorData SensorDataBuffer::frame[maxNumOfFrames]

| The joint data frames. Definition at line 34 of file SensorDataBuffer.h. Referenced by GT2005SensorDataProcessor::detectSwitches(), GT2005SensorDataProcessor::execute(), GT2005MotionControl::execute(), GT2005CollisionDetector::execute(), operator<<(), operator>>(), GT2005BehaviorControl::postExecute(), GT2005WalkingEngine::readDebugData(), GT2005WalkingEngine::readResampleData(), and MotionStabilizer::stabilize().

The documentation for this class was generated from the following files:

- Representations/Perception/SensorDataBuffer.h
- Representations/Perception/SensorDataBuffer.cpp